#include "debug.mqh"

int Ticks = 0;
double vBid, vAsk, BidEUR, BidCAD, AskEUR, AskCAD, BidCR, AskCR;



void start() {
	string debug_msg;

	while (true) {
		Sleep(500);
		RefreshEnv();
		debug_msg = ""
			+ "t: "     + Ticks
			+ "  EUR: " + DoubleToStr(BidEUR, Digits)
			+ "/"       + DoubleToStr(AskEUR, Digits)
			+ "  CAD: " + DoubleToStr(BidCAD, Digits)
			+ "/"       + DoubleToStr(AskCAD, Digits)
			+ "  CR: "  + DoubleToStr(BidCR, Digits)
			+ "/"       + DoubleToStr(AskCR, Digits)
			+ "  v: "   + DoubleToStr(vBid, Digits)
			+ "/"       + DoubleToStr(vAsk, Digits)
		;
		Debug(debug_msg);
	}
	return;
}



void RefreshEnv() {
	Ticks++;
	BidEUR = MarketInfo("EURUSD", MODE_BID);
	AskEUR = MarketInfo("EURUSD", MODE_ASK);
	BidCAD = MarketInfo("USDCAD", MODE_BID);
	AskCAD = MarketInfo("USDCAD", MODE_ASK);
	BidCR = MarketInfo("EURCAD", MODE_BID);
	AskCR = MarketInfo("EURCAD", MODE_ASK);
	vBid = BidEUR * BidCAD;
	vAsk = AskEUR * AskCAD;
	return;
}



